#! /bin/sh
#
# module :
# check links of bibnemomaf before and after installation
# cf. install.sh
#
# original location :
# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/linkchecker.sh sur aedon.locean-ipsl.upmc.fr
#
# update ::
# fplod 2007-04-04T14:09:58Z aedon.locean-ipsl.upmc.fr (Darwin)
# creation
#
set -u
set -o posix
command=$(basename ${0})
#
# ++ simu paramtre
DIRWWW=/usr/temp/${LOGNAME}/public_html/bibnemomaf/
#
linkcheckeropt="--anchors --recursion-level=-1"
#
# test if linkchecker is available
type linkchecker 1> /dev/null 2>&1
status=${?}
if [ ${status} -ne 0 ]
then
 echo " eee : linkchecker not found"
 exit 1
fi
#
echo " "
#++fverif=${DIRWWW}/en/one/bibnemomaf00.html
fverif="file://"${DIRWWW}/en/one/bibnemomaf00.html
nverif=wwwone00
echo " Do you want to check ${fverif} (y|[n]) ?"
anwser=" "
read anwser
case ${anwser} in
 y|Y)
 log=/tmp/linkchecker${nverif}.log
 err=/tmp/linkchecker${nverif}.err
 echo "iii : check of ${fverif}"
 linkchecker \
 ${linkcheckeropt} \
 ${fverif} \
 1> ${log} 2> ${err}
 echo "iii : log in ${log}"
 ;;
 *)
 echo "iii : no check of ${fverif}"
 ;;
esac
#
echo " "
#++fverif=${DIRWWW}/en/one/bibnemomaf01.html
fverif="file://"${DIRWWW}/en/one/bibnemomaf01.html
nverif=wwwone00
echo " Do you want to check ${fverif} (y|[n]) ?"
anwser=" "
read anwser
case ${anwser} in
 y|Y)
 log=/tmp/linkchecker${nverif}.log
 err=/tmp/linkchecker${nverif}.err
 echo "iii : check of ${fverif}"
 linkchecker \
 ${linkcheckeropt} \
 ${fverif} \
 1> ${log} 2> ${err}
 echo "iii : log in ${log}"
 ;;
 *)
 echo "iii : no check of ${fverif}"
 ;;
esac
#
exit
