<?xml version="1.0" encoding="iso-8859-1"?>

<!--
module :
production d'un fichier de commande gnuplot avec donnes incorpores pour
le graphe publications/anne

source :
/usr/home/fplod/incas/bibnemo/src/bibnemomaf/years_gnuplot.xsl sur aedon.locean-ipsl.upmc.fr


update :
++ plein de trucs
fplod 2007-05-21T12:52:07Z aedon.locean-ipsl.upmc.fr (Darwin)
d'aprs /Users/pinsard/ES/src/estimation/src/estimation_graph1_gnuplot.xsl
creation
-->

<xsl:stylesheet
 id="id" version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output
 method="text"
 encoding="ISO-8859-1"
 indent="yes"/>

<xsl:include href="biblioentry_xml.xsl"/>

<xsl:variable name="list_years" select="///pubdate[not( self::node() = following::pubdate )]"/>

<xsl:template match="bibliography">
#
#  $ gnuplot graph1_<xsl:value-of select="years"/>.gnu
# 
# source :
# ++/graph1_<xsl:value-of select="years"/>.gnu
# 
# update :
# <xsl:value-of select="$makedate"/>
#
reset
#
# codage iso pour les diacritiques
set encoding iso_8859_1
#
set size 1.0, 1.0
set origin 0.0, 0.0
#
# pas de lgendes
set nokey
#
# definition of axes
set xlabel "Year"
set xdata time
set timefmt "%Y"
set format x "%Y"
#++set xrange ++ year min year max
set ylabel "Nb of publications"
# titre sur le graphique
set title "NEMO nb of publications by year date : <xsl:value-of select="$makedate"/>"
#
#set term svg dynamic
#set output "years.svg"
#++set output "fichier_svg"
set term png
set output "<xsl:value-of select="$path"/>/years.png"

plot '-' using 1:2 with linespoints 
   <!-- loop on years -->
   <xsl:for-each select="$list_years">
    <xsl:sort order="ascending" data-type="number" select="."/>
    <xsl:call-template name="one_year">
     <xsl:with-param name="year" select="."/>
    </xsl:call-template>
   </xsl:for-each>
   <xsl:text>e</xsl:text>
   <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template name="one_year">
<xsl:param name="year"/>
<xsl:value-of select="$year"/> 
<xsl:text> </xsl:text>
<xsl:value-of select="count(/descendant::biblioentry[child::biblioset[child::pubdate=$year]]) "/> 
<xsl:text>&#xA;</xsl:text>
</xsl:template>

</xsl:stylesheet>
